## npm 8.3.0~ds

=== debian/changelog ===
npm (8.3.0~ds-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Sun, 26 Dec 2021 08:32:24 +0100

npm (8.3.0~ds-2) unstable; urgency=medium

  * Team upload
  * Install arborist, npm-packlist, pacote and qrcode-terminal in /usr/bin and
    build manpages

 -- Yadd <yadd@debian.org>  Thu, 23 Dec 2021 12:49:42 +0100

npm (8.3.0~ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.3.0~ds
  * Refresh patches

 -- Yadd <yadd@debian.org>  Mon, 13 Dec 2021 10:32:35 +0100

npm (8.1.4+ds-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Mon, 13 Dec 2021 06:30:02 +0100

npm (8.1.4+ds-1) experimental; urgency=medium

  * Team upload
  * Fix filenamemangle
  * Clean Files-Excluded
  * New upstream version 8.1.4+ds
  * Update dependencies using result of pkgjs-depends npm@8.1.4
  * Drop require test, no more usable
  * Update patches

 -- Yadd <yadd@debian.org>  Sat, 27 Nov 2021 12:34:07 +0100

npm (7.24.2+ds-2) unstable; urgency=medium

  * Team upload
  * Move node-opener dependency to suggested dependencies. Thanks to
    Jonas Smedegaard (Closes: #1000673)
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Sat, 27 Nov 2021 10:02:08 +0100

npm (7.24.2+ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.24.2+ds
  * Prepare test for tap ≥ 15
  * Remove unneeded dependency version constraints
  * Install packages/*
  * Require dh-sequence-nodejs ≥ 0.9.72
  * Update lintian overrides
  * Install /usr/bin/npm-arborist and build manpage using help2man

 -- Yadd <yadd@debian.org>  Wed, 06 Oct 2021 10:03:29 +0200

npm (7.24.0+ds-2) unstable; urgency=medium

  * Team upload
  * Update copyright
  * Update lintian overrides
  * Back to unstable

 -- Yadd <yadd@debian.org>  Thu, 23 Sep 2021 18:16:10 +0200

npm (7.24.0+ds-1) experimental; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch

  [ Yadd ]
  * Fix debian/watch
  * Update excluded files list
  * Update dependencies
  * New upstream version 7.24.0+ds (Closes: #993405, #993407,CVE-2021-39134,
    CVE-2021-39135)
  * Refresh patches
  * Mark JS build dependencies with <!nocheck>, except node-marked-man
  * Temporarily disable upstream test (needs tap ≥ 15)
  * Drop unneeded version constraints

 -- Yadd <yadd@debian.org>  Wed, 22 Sep 2021 13:51:39 +0200

npm (7.6.3+ds-1) experimental; urgency=medium

  * Team upload
  * New upstream version 7.6.3+ds
  * Refresh patches

 -- Yadd <yadd@debian.org>  Mon, 15 Mar 2021 07:42:14 +0100

npm (7.6.0+ds-1) experimental; urgency=medium

  * Team upload
  * Exclude diff from import and add dependency to node-diff
  * New upstream version 7.6.0+ds
  * Refresh patches

 -- Yadd <yadd@debian.org>  Wed, 03 Mar 2021 16:26:03 +0100
