=== debian/control ===
Source: npm
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13),
 bash-completion,
 dh-sequence-nodejs (>= 0.9.72),
 help2man <!nodoc>,
 node-abbrev <!nocheck>,
 node-agent-base <!nocheck>,
 node-ansistyles <!nocheck>,
 node-aproba <!nocheck>,
 node-archy <!nocheck>,
 node-asap <!nocheck>,
 node-cacache <!nocheck>,
 node-chalk <!nocheck>,
 node-chownr <!nocheck>,
 node-colors <!nocheck>,
 node-columnify <!nocheck>,
 node-debug <!nocheck>,
 node-depd <!nocheck>,
 node-encoding <!nocheck>,
 node-glob <!nocheck>,
 node-got <!nocheck>,
 node-graceful-fs <!nocheck>,
 node-gyp <!nocheck>,
 node-hosted-git-info <!nocheck>,
 node-https-proxy-agent <!nocheck>,
 node-ini <!nocheck>,
 node-ip <!nocheck>,
 node-ip-regex <!nocheck>,
 node-json-parse-better-errors <!nocheck>,
 node-jsonparse <!nocheck>,
 node-lru-cache <!nocheck>,
 node-marked-man,
 node-minimatch <!nocheck>,
 node-mkdirp <!nocheck>,
 node-ms <!nocheck>,
 node-negotiator <!nocheck>,
 node-nopt <!nocheck>,
 node-normalize-package-data <!nocheck>,
 node-npm-bundled <!nocheck>,
 node-npm-package-arg <!nocheck>,
 node-npmlog <!nocheck>,
 node-object-assign <!nocheck>,
 node-once <!nocheck>,
 node-opener <!nocheck>,
 node-promise-retry <!nocheck>,
 node-promzard <!nocheck>,
 node-read <!nocheck>,
 node-read-package-json <!nocheck>,
 node-rimraf <!nocheck>,
 node-semver <!nocheck>,
 node-ssri <!nocheck>,
 node-string-width <!nocheck>,
 node-strip-ansi <!nocheck>,
 node-tap <!nodoc>,
 node-tar <!nocheck>,
 node-text-table <!nocheck>,
 node-validate-npm-package-license <!nocheck>,
 node-validate-npm-package-name <!nocheck>,
 node-which <!nocheck>,
 node-wrappy <!nocheck>,
 node-write-file-atomic <!nocheck>,
 node-yallist
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/npm
Vcs-Git: https://salsa.debian.org/js-team/npm.git
Homepage: https://docs.npmjs.com/
Rules-Requires-Root: no

Package: npm
Architecture: all
Depends: ${misc:Depends},
 ca-certificates,
 node-abbrev,
 node-agent-base,
 node-ansistyles,
 node-aproba,
 node-archy,
 node-asap,
 node-cacache,
 node-chalk,
 node-chownr,
 node-colors,
 node-columnify,
 node-debug,
 node-depd,
 node-encoding,
 node-glob,
 node-got,
 node-graceful-fs,
 node-gyp,
 node-hosted-git-info,
 node-https-proxy-agent,
 node-ini,
 node-ip,
 node-ip-regex,
 node-json-parse-better-errors,
 node-jsonparse,
 node-lru-cache,
 node-minimatch,
 node-mkdirp,
 node-ms,
 node-negotiator,
 node-nopt,
 node-normalize-package-data,
 node-npm-bundled,
 node-npm-package-arg,
 node-npmlog,
 node-object-assign,
 node-once,
 node-promise-retry,
 node-promzard,
 node-read,
 node-read-package-json,
 node-rimraf,
 node-semver,
 node-ssri,
 node-string-width,
 node-strip-ansi,
 node-tar,
 node-text-table,
 node-validate-npm-package-license,
 node-validate-npm-package-name,
 node-which,
 node-wrappy,
 node-write-file-atomic,
 node-yallist,
 nodejs:any (>= 10),
Recommends: git
 , node-tap
Suggests: node-opener
Provides: ${nodejs:Provides}
 , arborist (= ${arborist:Version})
 , npm-packlist (= ${npmpl:Version})
 , pacote (= ${pacote:Version})
 , qrcode-terminal (= ${qrt:Version})
Description: package manager for Node.js
 Node.js is an event-based server-side javascript engine.
 .
 npm is the package manager for the Node JavaScript platform.  It puts
 modules in place so that node can find them, and manages dependency
 conflicts intelligently.
 .
 It is extremely configurable to support a wide variety of use cases.
 Most commonly, it is used to publish, discover, install, and develop
 node programs.
 .
 Install also node-opener to have full npm features enabled.
