=== debian/changelog ===
npm (8.5.1~ds-1) unstable; urgency=medium

  * Team upload
  * Drop dependency to node-object-assign
  * New upstream version 8.5.1~ds

 -- Yadd <yadd@debian.org>  Fri, 18 Feb 2022 06:14:06 +0100

npm (8.5.0~ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.5.0~ds
  * Exclude cli-table3 emoji-regex and @npmcli/move-file
    and require relevant dependencies

 -- Yadd <yadd@debian.org>  Mon, 14 Feb 2022 17:24:15 +0100

npm (8.4.1~ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.4.1~ds

 -- Yadd <yadd@debian.org>  Sun, 06 Feb 2022 12:51:47 +0100

npm (8.4.0~ds-1) unstable; urgency=medium

  * Team upload
  * Replace embedded minipass-* by dependency to na node-minipass
  * New upstream version 8.4.0~ds
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Sat, 29 Jan 2022 18:21:11 +0100

npm (8.3.2~ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.3.2~ds
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Thu, 27 Jan 2022 13:06:13 +0100

npm (8.3.1~ds-1) unstable; urgency=medium

  * Team upload
  * Update copyright
  * Fix no-duplication test
  * Set upstream metadata fields: Security-Contact.
  * New upstream version 8.3.1~ds
  * Build depends on dh-sequence-nodejs ≥ 0.11.5~ (regression in clean)

 -- Yadd <yadd@debian.org>  Mon, 17 Jan 2022 07:04:33 +0100
