=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
  bash-completion,
- dh-sequence-nodejs (>= 0.9.72),
+ dh-sequence-nodejs (>= 0.11.5~),
  help2man <!nodoc>,
  node-abbrev <!nocheck>,
  node-agent-base <!nocheck>,
@@ -17,10 +17,12 @@
  node-cacache <!nocheck>,
  node-chalk <!nocheck>,
  node-chownr <!nocheck>,
+ node-cli-table3 <!nocheck>,
  node-colors <!nocheck>,
  node-columnify <!nocheck>,
  node-debug <!nocheck>,
  node-depd <!nocheck>,
+ node-emoji-regex <!nocheck>,
  node-encoding <!nocheck>,
  node-glob <!nocheck>,
  node-got <!nocheck>,
@@ -36,6 +38,7 @@
  node-lru-cache <!nocheck>,
  node-marked-man,
  node-minimatch <!nocheck>,
+ node-minipass <!nocheck>,
  node-mkdirp <!nocheck>,
  node-ms <!nocheck>,
  node-negotiator <!nocheck>,
@@ -44,7 +47,6 @@
  node-npm-bundled <!nocheck>,
  node-npm-package-arg <!nocheck>,
  node-npmlog <!nocheck>,
- node-object-assign <!nocheck>,
  node-once <!nocheck>,
  node-opener <!nocheck>,
  node-promise-retry <!nocheck>,
@@ -84,10 +86,12 @@
  node-cacache,
  node-chalk,
  node-chownr,
+ node-cli-table3,
  node-colors,
  node-columnify,
  node-debug,
  node-depd,
+ node-emoji-regex,
  node-encoding,
  node-glob,
  node-got,
@@ -102,6 +106,7 @@
  node-jsonparse,
  node-lru-cache,
  node-minimatch,
+ node-minipass,
  node-mkdirp,
  node-ms,
  node-negotiator,
@@ -110,7 +115,6 @@
  node-npm-bundled,
  node-npm-package-arg,
  node-npmlog,
- node-object-assign,
  node-once,
  node-promise-retry,
  node-promzard,
