=== debian/watch ===
version=4
opts=\
repacksuffix=~ds,\
repack,compression=xz,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/npm-$1/,\
dversionmangle=auto \
 https://github.com/npm/cli/tags .*/archive/.*/v?([\d\.]+).tar.gz

# Experimental releases
# https://github.com/npm/cli/tags .*/archive/.*/v?([\d\.]+(?:\-[\w\.]+)?).tar.gz
