=== debian/changelog ===
npm (8.5.5~ds1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Drop test: tap 15 not available in backports

 -- Yadd <yadd@debian.org>  Sat, 19 Mar 2022 20:37:00 +0100

npm (8.5.5~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.5.5~ds1
  * Refresh patches
  * Use dh_nodejs_autodocs

 -- Yadd <yadd@debian.org>  Sat, 19 Mar 2022 12:37:26 +0100

npm (8.5.4~ds1-1) unstable; urgency=medium

  * Team upload

  [ deb-scrub-obsolete ]
  * Remove constraints unnecessary since buster

  [ Yadd ]
  * Re-enable upstream test using tap >= 15
  * New upstream version 8.5.4~ds1

 -- Yadd <yadd@debian.org>  Fri, 11 Mar 2022 15:12:11 +0100

npm (8.5.3~ds1-1) unstable; urgency=medium

  * Team upload
  * Update excluded list and repack
  * Ignore "docs" component, automatically added by workspace field
  * Install upstream doc

 -- Yadd <yadd@debian.org>  Mon, 07 Mar 2022 09:40:09 +0100

npm (8.5.3~ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.5.3~ds

 -- Yadd <yadd@debian.org>  Mon, 07 Mar 2022 06:22:24 +0100

npm (8.5.2~ds-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.5.2~ds
  * Refresh patches
  * Clean copyright
  * Clean lintian overrides

 -- Yadd <yadd@debian.org>  Wed, 02 Mar 2022 22:29:34 +0100

npm (8.5.1~ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Wed, 23 Feb 2022 16:32:01 +0100

npm (8.3.1~ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Yadd <yadd@debian.org>  Wed, 19 Jan 2022 06:15:50 +0100
