=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
  bash-completion,
- dh-sequence-nodejs (>= 0.11.5~),
+ dh-sequence-nodejs (>= 0.14.5~),
  help2man <!nodoc>,
  node-abbrev <!nocheck>,
  node-agent-base <!nocheck>,
@@ -58,8 +58,7 @@
  node-ssri <!nocheck>,
  node-string-width <!nocheck>,
  node-strip-ansi <!nocheck>,
- node-tap <!nodoc>,
- node-tar <!nocheck>,
+ node-tar (>= 6.1.11~) <!nocheck>,
  node-text-table <!nocheck>,
  node-validate-npm-package-license <!nocheck>,
  node-validate-npm-package-name <!nocheck>,
@@ -125,7 +124,7 @@
  node-ssri,
  node-string-width,
  node-strip-ansi,
- node-tar,
+ node-tar (>= 6.1.11~),
  node-text-table,
  node-validate-npm-package-license,
  node-validate-npm-package-name,
@@ -133,9 +132,8 @@
  node-wrappy,
  node-write-file-atomic,
  node-yallist,
- nodejs:any (>= 10),
+ nodejs:any (>= 10) | nodejs (>= 10),
 Recommends: git
- , node-tap
 Suggests: node-opener
 Provides: ${nodejs:Provides}
  , arborist (= ${arborist:Version})
