=== debian/rules ===
--- 
+++ 
@@ -46,6 +46,10 @@
 		debian/npm/usr/share/nodejs/npm/bin/*.cmd \
 		debian/npm/usr/share/nodejs/npm/node_modules/@npmcli/run-script/lib/node-gyp-bin/node-gyp.cmd
 
+override_dh_installdocs:
+	dh_installdocs
+	dh_nodejs_autodocs
+
 override_dh_link:
 	rm -rf debian/npm/usr/share/nodejs/npm/man
 	dh_link
