=== debian/watch ===
--- 
+++ 
@@ -1,6 +1,6 @@
 version=4
 opts=\
-repacksuffix=~ds,\
+repacksuffix=~ds1,\
 repack,compression=xz,\
 filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/npm-$1/,\
 dversionmangle=auto \
