## npm 8.18.0~ds1

=== debian/changelog ===
npm (8.18.0~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.18.0~ds1

 -- Yadd <yadd@debian.org>  Mon, 22 Aug 2022 09:58:09 +0200

npm (8.17.0~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.17.0~ds1

 -- Yadd <yadd@debian.org>  Sat, 13 Aug 2022 07:15:19 +0200

npm (8.16.0~ds1-1) unstable; urgency=medium

  * Team upload
  * Add dependency to node-postcss-selector-parser and node-cssesc
  * New upstream version 8.16.0~ds1

 -- Yadd <yadd@debian.org>  Sun, 07 Aug 2022 21:36:22 +0200

npm (8.15.1~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.15.1~ds1

 -- Yadd <yadd@debian.org>  Fri, 29 Jul 2022 09:28:58 +0200

npm (8.15.0~ds1-2) unstable; urgency=medium

  * Team upload
  * Add build dependency to node-dezalgo (fixes manpages)

 -- Yadd <yadd@debian.org>  Mon, 25 Jul 2022 17:07:01 +0200

npm (8.15.0~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.15.0~ds1

 -- Yadd <yadd@debian.org>  Mon, 25 Jul 2022 11:56:30 +0200

npm (8.14.0~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.14.0~ds1
  * Add dependency to node-p-map

 -- Yadd <yadd@debian.org>  Sat, 16 Jul 2022 13:56:45 +0200

npm (8.13.2~ds1-1) unstable; urgency=medium

  * Team upload
  * Add missing build dependency on dh-nodejs for command dh_nodejs_autodocs
  * New upstream version 8.13.2~ds1

 -- Yadd <yadd@debian.org>  Thu, 30 Jun 2022 18:47:17 +0200

npm (8.13.1~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.13.1~ds1
  * Update lintian overrides

 -- Yadd <yadd@debian.org>  Sun, 26 Jun 2022 08:24:38 +0200

npm (8.12.2~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.12.2~ds1

 -- Yadd <yadd@debian.org>  Thu, 16 Jun 2022 06:39:10 +0200

npm (8.12.1~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.12.1~ds1

 -- Yadd <yadd@debian.org>  Sat, 04 Jun 2022 11:35:19 +0200

npm (8.11.0~ds1-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * New upstream version 8.11.0~ds1

 -- Yadd <yadd@debian.org>  Mon, 30 May 2022 06:03:55 +0200

npm (8.10.0~ds1-2) unstable; urgency=medium

  * Team upload
  * Better autopkgtest

 -- Yadd <yadd@debian.org>  Thu, 12 May 2022 16:38:45 +0200

npm (8.10.0~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.10.0~ds1
  * Update autopkgtest

 -- Yadd <yadd@debian.org>  Thu, 12 May 2022 14:55:29 +0200

npm (8.9.0~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.9.0~ds1

 -- Yadd <yadd@debian.org>  Sun, 08 May 2022 11:15:36 +0200

npm (8.8.0~ds1-1) unstable; urgency=medium

  * Team upload
  * Exclude .github from import
  * New upstream version 8.8.0~ds1
  * Update copyright
  * Update test

 -- Yadd <yadd@debian.org>  Fri, 29 Apr 2022 16:02:14 +0200

npm (8.7.0~ds1-2) unstable; urgency=medium

  * Team upload
  * Add missing dependency to node-http-proxy-agent

 -- Yadd <yadd@debian.org>  Mon, 25 Apr 2022 12:33:42 +0200

npm (8.7.0~ds1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 8.7.0~ds1
  * Refresh patches
  * Update test

 -- Yadd <yadd@debian.org>  Sun, 24 Apr 2022 08:29:12 +0200

npm (8.6.0~ds2-2) unstable; urgency=medium

  * Team upload
  * Enable autopkgtest "require" test, except for npm itself
  * Add missing dependencies to node-binary-extensions and node-diff, thanks
    to autopkgtest

 -- Yadd <yadd@debian.org>  Wed, 06 Apr 2022 16:54:17 +0200

npm (8.6.0~ds2-1) unstable; urgency=medium

  * Team upload
  * Install all workspaces/* modules in nodejs root directories
  * Exclude dezalgo and npm-normalize-package-bin and add related dependencies
  * Reduce build dependencies
  * New upstream version 8.6.0~ds2

 -- Yadd <yadd@debian.org>  Wed, 06 Apr 2022 12:09:50 +0200

npm (8.6.0~ds1-3) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Wed, 06 Apr 2022 07:41:21 +0200

npm (8.6.0~ds1-2) experimental; urgency=medium

  * Clean install
  * Drop npm-version test (needs a real terminal)

 -- Yadd <yadd@debian.org>  Tue, 05 Apr 2022 05:52:50 +0200

npm (8.6.0~ds1-1) experimental; urgency=medium

  * Team upload
  * Require node-cacache >= 16 and drop @gar/promisify and @npmcli/fs
  * New upstream version 8.6.0~ds1
  * Refresh patches
  * Update autopkgtest

 -- Yadd <yadd@debian.org>  Mon, 04 Apr 2022 18:42:30 +0200
