=== debian/changelog ===
npm (8.19.2~ds1-2) unstable; urgency=medium

  * Team upload
  * Clean copyright
  * Update lintian overrides
  * Don't import .gitignore
  * Drop __proto__ calls in tests

 -- Yadd <yadd@debian.org>  Wed, 21 Sep 2022 14:40:27 +0200

npm (8.19.2~ds1-1) unstable; urgency=medium

  * Team upload
  * Exclude proc-log from import and require node-proc-log
  * New upstream version 8.19.2~ds1
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Sat, 17 Sep 2022 16:44:31 +0200
