=== debian/control ===
Source: npm
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs (>= 0.14.5~)
 , bash-completion
 , help2man <!nodoc>
 , node-cacache (>= 16) <!nodoc>
 , node-chownr <!nodoc>
 , node-cssesc <!nodoc>
 , node-depd <!nodoc>
 , node-dezalgo <!nodoc>
 , node-gyp <!nodoc>
 , node-http-cache-semantics <!nodoc>
 , node-ini <!nodoc>
 , node-ip <!nodoc>
 , node-marked-man <!nodoc>
 , node-negotiator <!nodoc>
 , node-npm-bundled <!nodoc>
 , node-npm-package-arg <!nodoc>
 , node-postcss-selector-parser <!nodoc>
 , node-npmlog <!nodoc>
 , node-p-map <!nodoc>
 , node-promise-retry <!nodoc>
 , node-read-package-json <!nodoc>
 , node-semver <!nocheck> <!nodoc>
 , node-tap <!nodoc>
 , node-tar <!nodoc>
 , node-yallist <!nodoc>
 , dh-nodejs
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/js-team/npm
Vcs-Git: https://salsa.debian.org/js-team/npm.git
Homepage: https://docs.npmjs.com/
Rules-Requires-Root: no

Package: npm
Architecture: all
Depends: ${misc:Depends}
 , ca-certificates
 , node-abbrev
 , node-agent-base
 , node-ansistyles
 , node-aproba
 , node-archy
 , node-asap
 , node-binary-extensions
 , node-cacache (>= 16)
 , node-chalk
 , node-chownr
 , node-cli-table3
 , node-colors
 , node-columnify
 , node-cssesc
 , node-debug
 , node-depd
 , node-dezalgo
 , node-diff
 , node-emoji-regex
 , node-encoding
 , node-glob
 , node-got
 , node-graceful-fs
 , node-gyp
 , node-hosted-git-info
 , node-http-proxy-agent
 , node-https-proxy-agent
 , node-ini
 , node-ip
 , node-ip-regex
 , node-json-parse-better-errors
 , node-jsonparse
 , node-lru-cache
 , node-minimatch
 , node-minipass
 , node-mkdirp
 , node-ms
 , node-negotiator
 , node-nopt
 , node-normalize-package-data
 , node-npm-bundled
 , node-npm-normalize-package-bin
 , node-npm-package-arg
 , node-npmlog
 , node-once
 , node-p-map
 , node-postcss-selector-parser
 , node-promise-retry
 , node-promzard
 , node-read
 , node-read-package-json
 , node-rimraf
 , node-semver
 , node-ssri
 , node-string-width
 , node-strip-ansi
 , node-tar
 , node-text-table
 , node-validate-npm-package-license
 , node-validate-npm-package-name
 , node-which
 , node-wrappy
 , node-write-file-atomic
 , node-yallist
 , nodejs:any
Recommends: git
 , node-tap
Suggests: node-opener
Provides: ${nodejs:Provides}
 , arborist (= ${arborist:Version})
 , npm-packlist (= ${npmpl:Version})
 , pacote (= ${pacote:Version})
 , qrcode-terminal (= ${qrt:Version})
Description: package manager for Node.js
 Node.js is an event-based server-side javascript engine.
 .
 npm is the package manager for the Node JavaScript platform.  It puts
 modules in place so that node can find them, and manages dependency
 conflicts intelligently.
 .
 It is extremely configurable to support a wide variety of use cases.
 Most commonly, it is used to publish, discover, install, and develop
 node programs.
 .
 Install also node-opener to have full npm features enabled.
