=== debian/rules ===
--- 
+++ 
@@ -41,10 +41,19 @@
 	# Test are lauched only during autopkgtest
 
 override_dh_auto_install:
+	# Since node_modules/* is declared in additional_components, clean unwanted modules
+	pkgjs-utils clean_test_modules
+	pkgjs-utils clean_external_modules
+	pkgjs-utils clean_build_modules
 	dh_auto_install --buildsystem=nodejs
 	rm -vf debian/npm/usr/share/nodejs/npm/bin/node-gyp-bin/node-gyp.cmd \
 		debian/npm/usr/share/nodejs/npm/bin/*.cmd \
 		debian/npm/usr/share/nodejs/npm/node_modules/@npmcli/run-script/lib/node-gyp-bin/node-gyp.cmd
+	LIST=`pkgjs-utils root_modules_list 2>/dev/null` && cd debian/npm/usr/share/nodejs/npm/node_modules && rm -r $$LIST || true
+	for m in workspaces/*; do \
+		NAME=`pkgjs-pjson $$m name`; \
+		(cd debian/npm/usr/share/nodejs/npm/node_modules && rm -rf $$NAME); \
+	done
 
 override_dh_installdocs:
 	dh_installdocs
