## npm 9.1.2~ds1

=== debian/changelog ===
npm (9.1.2~ds1-3) unstable; urgency=medium

  * Team upload
  * Fix audit report

 -- Yadd <yadd@debian.org>  Tue, 29 Nov 2022 06:39:29 +0100

npm (9.1.2~ds1-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Fri, 18 Nov 2022 11:04:41 +0100

npm (9.1.2~ds1-1) experimental; urgency=medium

  * Team upload
  * Keep chalk 4 in embedded modules
  * Enable more tests
  * New upstream version 9.1.2~ds1

 -- Yadd <yadd@debian.org>  Fri, 18 Nov 2022 08:21:30 +0100

npm (9.1.1~ds1-1) experimental; urgency=medium

  * Team upload
  * New upstream version 9.1.1~ds1
  * Drop npm-packlist link: no more a binary
  * Use custom builder for manpages (missing dependency)
  * Refresh patches
  * Update excluded-files field
  * Update docs
  * Require:
    + node-cacache >= 17
    + node-hosted-git-info >= 6
    + node-npm-package-arg >= 10
  * Update test

 -- Yadd <yadd@debian.org>  Wed, 16 Nov 2022 15:47:31 +0100
