=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  , dh-sequence-nodejs (>= 0.14.5~)
  , bash-completion
  , help2man <!nodoc>
- , node-cacache (>= 16) <!nodoc>
+ , node-cacache (>= 17) <!nodoc>
  , node-chownr <!nodoc>
  , node-cssesc <!nodoc>
  , node-depd <!nodoc>
@@ -20,7 +20,7 @@
  , node-marked-man <!nodoc>
  , node-negotiator <!nodoc>
  , node-npm-bundled <!nodoc>
- , node-npm-package-arg <!nodoc>
+ , node-npm-package-arg (>= 10) <!nodoc>
  , node-postcss-selector-parser <!nodoc>
  , node-npmlog <!nodoc>
  , node-p-map <!nodoc>
@@ -47,8 +47,9 @@
  , node-aproba
  , node-archy
  , node-asap
+ , node-base64-js
  , node-binary-extensions
- , node-cacache (>= 16)
+ , node-cacache (>= 17)
  , node-chalk
  , node-chownr
  , node-cli-table3
@@ -61,13 +62,15 @@
  , node-diff
  , node-emoji-regex
  , node-encoding
+ , node-events
  , node-glob
  , node-got
  , node-graceful-fs
  , node-gyp
- , node-hosted-git-info
+ , node-hosted-git-info (>= 6)
  , node-http-proxy-agent
  , node-https-proxy-agent
+ , node-ieee754
  , node-ini
  , node-ip
  , node-ip-regex
@@ -83,7 +86,7 @@
  , node-normalize-package-data
  , node-npm-bundled
  , node-npm-normalize-package-bin
- , node-npm-package-arg
+ , node-npm-package-arg (>= 10)
  , node-npmlog
  , node-once
  , node-p-map
@@ -111,7 +114,6 @@
 Suggests: node-opener
 Provides: ${nodejs:Provides}
  , arborist (= ${arborist:Version})
- , npm-packlist (= ${npmpl:Version})
  , pacote (= ${pacote:Version})
  , qrcode-terminal (= ${qrt:Version})
 Description: package manager for Node.js
