## npm 9.1.3~ds1

=== debian/changelog ===
npm (9.1.3~ds1-1) unstable; urgency=medium

  * Team upload
  * Exclude ci-info from import
  * Re-exclude chalk from import
  * New upstream version 9.1.3~ds1
  * Add fix for node-chalk 5

 -- Yadd <yadd@debian.org>  Fri, 02 Dec 2022 16:40:14 +0100
