=== debian/control ===
--- 
+++ 
@@ -50,8 +50,9 @@
  , node-base64-js
  , node-binary-extensions
  , node-cacache (>= 17)
- , node-chalk
+ , node-chalk (>= 5.1.2-2~)
  , node-chownr
+ , node-ci-info
  , node-cli-table3
  , node-colors
  , node-columnify
