=== debian/changelog ===
npm (9.2.0~ds1-3) unstable; urgency=medium

  * Patch: fix exit codes in node 20.
  * Disable exit-handler test
  * no-duplication test: needs pkg-js-tools

 -- Jérémy Lal <kapouer@melix.org>  Mon, 27 May 2024 09:38:14 +0200

npm (9.2.0~ds1-2) unstable; urgency=medium

  * Team upload

  [ lintian-brush ]
  * Update lintian override info to new format:
    + debian/source/lintian-overrides: line 2-3
    + debian/npm.lintian-overrides: line 2-4, 6
  * Update standards version to 4.6.2, no changes needed

  [ Yadd ]
  * Add patch for node-https-proxy-agent >= 7

 -- Yadd <yadd@debian.org>  Thu, 23 Nov 2023 11:39:13 +0400

npm (9.2.0~ds1-1) unstable; urgency=medium

  * Team upload
  * Enable more tests
  * New upstream version 9.2.0~ds1
  * Dependencies: drop node-ansistyles, node-asap and node-dezalgo

 -- Yadd <yadd@debian.org>  Sun, 11 Dec 2022 15:07:55 +0100
