=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
  , node-tar <!nodoc>
  , node-yallist <!nodoc>
  , dh-nodejs
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/js-team/npm
 Vcs-Git: https://salsa.debian.org/js-team/npm.git
 Homepage: https://docs.npmjs.com/
@@ -43,10 +43,8 @@
  , ca-certificates
  , node-abbrev
  , node-agent-base
- , node-ansistyles
  , node-aproba
  , node-archy
- , node-asap
  , node-base64-js
  , node-binary-extensions
  , node-cacache (>= 17)
@@ -59,7 +57,6 @@
  , node-cssesc
  , node-debug
  , node-depd
- , node-dezalgo
  , node-diff
  , node-emoji-regex
  , node-encoding
