=== debian/tests/control ===
Tests: install-test, no-duplication
Depends: @, pkg-js-tools
Restrictions: allow-stderr, needs-internet, skippable
