## npm 9.2.0~ds2

=== debian/changelog ===
npm (9.2.0~ds2-2) unstable; urgency=medium

  * Team upload
  * Require rimraf >= 4

 -- Bastien Roucariès <rouca@debian.org>  Sat, 27 Dec 2025 00:38:30 +0100

npm (9.2.0~ds2-1) unstable; urgency=medium

  * New upstream version 9.2.0~ds2
  * Remove some useless Files-Excluded lines
  * Properly exclude minipass to avoid using it by mistake
  * Fix port-to-rimraf-4 patch

 -- Jérémy Lal <kapouer@melix.org>  Thu, 25 Dec 2025 16:56:43 +0100

npm (9.2.0~ds1-5) unstable; urgency=medium

  * Team upload
  * Port to node-rimraf >= 4

 -- Bastien Roucariès <rouca@debian.org>  Thu, 25 Dec 2025 10:51:30 +0100

npm (9.2.0~ds1-4) unstable; urgency=medium

  * Team upload

  [ Jérémy Lal ]

  * d/README.source: drop info about cdbs. Closes: #1110347.

  [ Bastien Roucariès ]
  * port to glob 10
  * port to minipass 5

 -- Bastien Roucariès <rouca@debian.org>  Sun, 23 Nov 2025 12:49:01 +0100
