=== debian/control ===
--- 
+++ 
@@ -61,7 +61,8 @@
  , node-emoji-regex
  , node-encoding
  , node-events
- , node-glob
+ , node-fs-minipass
+ , node-glob (>= 10.0.0~)
  , node-got
  , node-graceful-fs
  , node-gyp
@@ -76,7 +77,7 @@
  , node-jsonparse
  , node-lru-cache
  , node-minimatch
- , node-minipass
+ , node-minipass (>= 5.0.0~)
  , node-mkdirp
  , node-ms
  , node-negotiator
@@ -93,7 +94,7 @@
  , node-promzard
  , node-read
  , node-read-package-json
- , node-rimraf
+ , node-rimraf (>= 4.0.0)
  , node-semver
  , node-ssri
  , node-string-width
