=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,9 @@
 
 override_dh_auto_build:
 ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
-	prefix=/usr make mandocs
+	mkdir -p man/man1 man/man5
+	debian/build-man-commands `find docs/lib/content/c* -name '*.md'` >debian/build-manpages
+	sh -ex debian/build-manpages
 	help2man --no-discard-stderr -n "the npm tree doctor" -N \
 			--version-string $(ARBORIST_VERSION) \
 			node_modules/@npmcli/arborist/bin/index.js \
@@ -23,17 +25,13 @@
 	node_modules/qrcode-terminal/bin/qrcode-terminal.js --help
 	help2man -N -n 'The JavaScript Package Handler' --version-string $(PACOTE_VERSION) \
 		node_modules/pacote/lib/bin.js >man/man1/pacote.1
-	help2man -N -n 'List files to embed in npm package' --version-string $(NPM_PACKLIST_VERSION) \
-		node_modules/npm-packlist/bin/index.js >man/man1/npm-packlist.1
 endif
 
-override_dh_fixperms:
-	dh_fixperms
+execute_after_dh_fixperms:
 	chmod a-x debian/npm/usr/share/nodejs/npm/lib/utils/completion.sh
 	chmod a+x debian/npm/usr/share/nodejs/npm/bin/npm-cli.js
 	chmod a+x debian/npm/usr/share/nodejs/npm/bin/npx-cli.js
 	chmod a+x debian/npm/usr/share/nodejs/@npmcli/arborist/bin/index.js
-	chmod a+x debian/npm/usr/share/nodejs/npm-packlist/bin/index.js
 	chmod a+x debian/npm/usr/share/nodejs/pacote/lib/bin.js
 	chmod a+x debian/npm/usr/share/nodejs/qrcode-terminal/bin/qrcode-terminal.js
 
@@ -55,16 +53,13 @@
 		(cd debian/npm/usr/share/nodejs/npm/node_modules && rm -rf $$NAME); \
 	done
 
-override_dh_installdocs:
-	dh_installdocs
+execute_after_dh_installdocs:
 	dh_nodejs_autodocs
 
-override_dh_link:
+execute_before_dh_link:
 	rm -rf debian/npm/usr/share/nodejs/npm/man
-	dh_link
 
 override_dh_gencontrol:
 	dh_gencontrol -- -Vpacote:Version="$(PACOTE_VERSION)" \
 			-Vqrt:Version="$(QRT_VERSION)" \
-			-Vnpmpl:Version="$(NPM_PACKLIST_VERSION)" \
 			-Varborist:Version="$(ARBORIST_VERSION)"
