=== debian/watch ===
Version: 5

Template: Github
Compression: xz
Dversionmangle: auto
Owner: npm
Project: cli
Repack: yes
Repacksuffix: ~ds2
Uversionmangle: s/-/~/g
