## npm 9.2.0~ds3

=== debian/changelog ===
npm (9.2.0~ds3-1) unstable; urgency=medium

  * Team upload
  * Remove node-env-paths

 -- Bastien Roucariès <rouca@debian.org>  Sun, 01 Mar 2026 19:23:14 +0100
