=== debian/watch ===
version=4
opts=\
repacksuffix=~ds3,\
repack,compression=xz,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/npm-$1/,\
uversionmangle=s/-/~/g,\
dversionmangle=auto,\
downloadurlmangle=s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g,\
searchmode=plain \
  https://api.github.com/repos/npm/cli/git/matching-refs/tags/ \
  https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
